"""Some useful functions for generating HTML tags not in 'lemon.html.forms'.
Consider using the package 'HTMLGen' instead."""

def p(string, align=None):
    if align:
        return "<p align="+align+">"+string+'</p>'
    else:
        return "<p>"+string+'</p>'

def a(text, url, dict=None):
    if not dict:
        return '<a href="%s">%s</a>' % (url, text)
    else:
        urlString = ''
        for k,v in dict.items():
            urlString += urllib.quote_plus(k)+'='+urllib.quote_plus(str(v))+'&'
        return '<a href="%s%s">%s</a>' % (url, urlString, text)
        
def h(text, num=1):
    return '<h%s>%s</h%s>' % (num, text, num)
def h1(text):
    return h(text,1)
def h2(text):
    return h(text,2)
def h3(text):
    return h(text,3)
def h4(text):
    return h(text,4)
    